function [x,ynum]=robni3(p,q,r,a,b,ya,yb,n)
%ROBNI3 resuje robni problem
%      y''(x)+p(x) y'(x)+q(x) y(x)=r(x)
%                                       y(a)=ya
%                                       y(b)=yb
%[x,ynum]=ROBNI3(p,q,r,a,b,ya,yb,n)
%x je ekvidistantna delitev intervala [a,b]
%ynum je vektor numericnih priblizkov za resitev
%p,q,r so funkcije iz problema
%ya=y(a) in yb=y(b)
%n je stevilo notranjih delilnih tock

x=linspace(a,b,n+2)';
h=x(2)-x(1);
x1n=x(2:end-1);
p1=h/2*feval(p,x1n);
desna=h^2*feval(r,x1n);
desna([1,end])=desna([1,end])-[(1-p1(1))*ya;(1+p1(end))*yb];

M=[[0;1-p1(2:end)],-2+h^2*feval(q,x1n),[1+p1(1:end-1);0]];

ynum=resi3(M,desna);
ynum=[ya;ynum;yb];




